Package org.eclipse.ui.texteditor

# Class ResourceMarkerAnnotationModel

java.lang.Object
org.eclipse.jface.text.source.AnnotationModel
org.eclipse.ui.texteditor.AbstractMarkerAnnotationModel
org.eclipse.ui.texteditor.ResourceMarkerAnnotationModel

All Implemented Interfaces:
  `IPersistableAnnotationModel`, `ISynchronizable`, `IAnnotationModel`, `IAnnotationModelExtension`, `IAnnotationModelExtension2`

public class ResourceMarkerAnnotationModel extends AbstractMarkerAnnotationModel
A marker annotation model whose underlying source of markers is a resource in the workspace.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from class org.eclipse.jface.text.source.AnnotationModel

`fAnnotationModelListeners, fAnnotations, fDocument`

## Constructor Summary

Constructors
Constructor
Description
`ResourceMarkerAnnotationModel(IResource resource)`
Creates a marker annotation model with the given resource as the source of the markers.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`deleteMarkers(IMarker[] markers)`
Deletes the given markers from this model.
`protected IResource`
`getResource()`
Returns the resource serving as the source of markers for this annotation model.
`protected boolean`
`isAcceptable(IMarker marker)`
Determines whether the marker is acceptable as an addition to this model.
`protected void`
`listenToMarkerChanges(boolean listen)`
Tells the model whether it should listen for marker changes.
`protected IMarker[]`
`retrieveMarkers()`
Retrieves all markers from this model.
`protected void`
`update(IMarkerDelta[] markerDeltas)`
Updates this model to the given marker deltas.

### Methods inherited from class org.eclipse.ui.texteditor.AbstractMarkerAnnotationModel

`addMarkerAnnotation, addMarkerUpdater, commit, connected, createMarkerAnnotation, createPositionFromMarker, disconnected, getMarkerAnnotation, getMarkerPosition, handleCoreException, modifyMarkerAnnotation, reinitialize, removeAnnotation, removeAnnotations, removeMarkerAnnotation, removeMarkerUpdater, removePosition, resetMarkers, revert, updateMarker, updateMarker, updateMarkers`

### Methods inherited from class org.eclipse.jface.text.source.AnnotationModel

`addAnnotation, addAnnotation, addAnnotationModel, addAnnotationModelListener, addPosition, cleanup, connect, createAnnotationModelEvent, disconnect, fireModelChanged, fireModelChanged, getAnnotationIterator, getAnnotationIterator, getAnnotationIterator, getAnnotationMap, getAnnotationModel, getAnnotationModelEvent, getLockObject, getModificationStamp, getPosition, modifyAnnotation, modifyAnnotationPosition, modifyAnnotationPosition, removeAllAnnotations, removeAllAnnotations, removeAnnotation, removeAnnotationModel, removeAnnotationModelListener, replaceAnnotations, replaceAnnotations, setLockObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceMarkerAnnotationModel

public ResourceMarkerAnnotationModel(IResource resource)
Creates a marker annotation model with the given resource as the source of the markers.

Parameters:
  `resource` - the resource

## Method Details

### isAcceptable

protected boolean isAcceptable(IMarker marker)
Description copied from class: `AbstractMarkerAnnotationModel`
Determines whether the marker is acceptable as an addition to this model. If the marker, say, represents an aspect or range of no interest to this model, the marker is rejected.

Subclasses must implement this method.

Specified by:
  `isAcceptable` in class `AbstractMarkerAnnotationModel`
Parameters:
  `marker` - the marker
Returns:
  `true` if the marker is acceptable

### update

protected void update(IMarkerDelta[] markerDeltas)
Updates this model to the given marker deltas.

Parameters:
  `markerDeltas` - the array of marker deltas

### listenToMarkerChanges

protected void listenToMarkerChanges(boolean listen)
Description copied from class: `AbstractMarkerAnnotationModel`
Tells the model whether it should listen for marker changes.

Subclasses must implement this method.

Specified by:
  `listenToMarkerChanges` in class `AbstractMarkerAnnotationModel`
Parameters:
  `listen` - `true` if this model should listen, and `false` otherwise

### deleteMarkers

protected void deleteMarkers(IMarker[] markers) throws CoreException
Description copied from class: `AbstractMarkerAnnotationModel`
Deletes the given markers from this model.

Subclasses must implement this method.

Specified by:
  `deleteMarkers` in class `AbstractMarkerAnnotationModel`
Parameters:
  `markers` - the array of markers
Throws:
  `CoreException` - if there are problems deleting the markers

### retrieveMarkers

protected IMarker[] retrieveMarkers() throws CoreException
Description copied from class: `AbstractMarkerAnnotationModel`
Retrieves all markers from this model.

Subclasses must implement this method.

Specified by:
  `retrieveMarkers` in class `AbstractMarkerAnnotationModel`
Returns:
  the list of markers
Throws:
  `CoreException` - if there is a problem getting the markers

### getResource

protected IResource getResource()
Returns the resource serving as the source of markers for this annotation model.

Returns:
  the resource serving as the source of markers for this annotation model
Since:
  2.0